Sdkmanager fails installing Drive SW 10.0(rev.2) targetfstool error

Please provide the following info (check/uncheck the boxes after creating this topic):
Software Version
DRIVE OS Linux 5.2.6
DRIVE OS Linux 5.2.6 and DriveWorks 4.0
DRIVE OS Linux 5.2.0
DRIVE OS Linux 5.2.0 and DriveWorks 3.5
NVIDIA DRIVE™ Software 10.0 (Linux)
NVIDIA DRIVE™ Software 9.0 (Linux)
other DRIVE OS version
other

Target Operating System
Linux
QNX
other

Hardware Platform
NVIDIA DRIVE™ AGX Xavier DevKit (E3550)
NVIDIA DRIVE™ AGX Pegasus DevKit (E3550)
other

SDK Manager Version
1.7.0.8846
other

Host Machine Version
native Ubuntu 18.04
other

Hi , tried to install DSW 10 on a new Ubuntu 18.04 and bee having some issues. I found this thread on theses forums that maybe related? sdkm-2021-11-18-06-45-32.log (333.3 KB)


Screen shots and log file attached. Any hint will be greatly appreciated.

BTW found this

Here is my sources list ,

deb cdrom:[Ubuntu 18.04.6 LTS Bionic Beaver - Release amd64 (20210915)]/ bionic main restricted

See UpgradeNotes - Community Help Wiki for how to upgrade to

newer versions of the distribution.

deb Index of /ubuntu bionic main restricted

deb-src Index of /ubuntu bionic main restricted

Major bug fix updates produced after the final release of the

distribution.

deb Index of /ubuntu bionic-updates main restricted

deb-src Index of /ubuntu bionic-updates main restricted

N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu

team. Also, please note that software in universe WILL NOT receive any

review or updates from the Ubuntu security team.

deb Index of /ubuntu bionic universe
deb-src Index of /ubuntu bionic universe
deb Index of /ubuntu bionic-updates universe

deb-src Index of /ubuntu bionic-updates universe

N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu

team, and may not be under a free licence. Please satisfy yourself as to

your rights to use the software. Also, please note that software in

multiverse WILL NOT receive any review or updates from the Ubuntu

security team.

deb Index of /ubuntu bionic multiverse

deb-src Index of /ubuntu bionic multiverse

deb Index of /ubuntu bionic-updates multiverse

deb-src Index of /ubuntu bionic-updates multiverse

N.B. software from this repository may not have been tested as

extensively as that contained in the main release, although it includes

newer versions of some applications which may provide useful features.

Also, please note that software in backports WILL NOT receive any review

or updates from the Ubuntu security team.

deb Index of /ubuntu bionic-backports main restricted universe multiverse

deb-src Index of /ubuntu bionic-backports main restricted universe multiverse

Uncomment the following two lines to add software from Canonical’s

‘partner’ repository.

This software is not part of Ubuntu, but is offered by Canonical and the

respective vendors as a service to Ubuntu users.

deb Index of /ubuntu bionic partner

deb-src Index of /ubuntu bionic partner

deb Index of /ubuntu bionic-security main restricted

deb-src Index of /ubuntu bionic-security main restricted

deb Index of /ubuntu bionic-security universe

deb-src Index of /ubuntu bionic-security universe

deb Index of /ubuntu bionic-security multiverse

deb-src Index of /ubuntu bionic-security multiverse

deb [arch=amd64] Index of linux/ubuntu/ bionic stable

deb-src [arch=amd64] Index of linux/ubuntu/ bionic stable

deb [arch=amd64] Index of /repos/vscode/ stable main

deb-src [arch=amd64] Index of /repos/vscode/ stable main

deb Index of /ubuntu bionic main

deb-src Index of /ubuntu bionic main

Below are suspicious messages from your logs.
Could you try to purge docker related packages and let SDK Manager install it?

06:46:34.294 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: The following packages will be DOWNGRADED:
06:46:34.296 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: docker-ce docker-ce-cli
06:46:34.316 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: 0 upgraded, 0 newly installed, 2 downgraded, 0 to remove and 0 not upgraded.
06:46:34.357 - error: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: E: Packages were downgraded and -y was used without --allow-downgrades.
06:46:34.357 - info: Event: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX - error is: E: Packages were downgraded and -y was used without --allow-downgrades.
...
06:46:35.350 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: INFO: Building docker image.
...
06:46:35.940 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: INFO:linux.targetfstool_linux:Running command: apt-get update --yes
06:46:36.282 - error: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: ERROR:common:Non-zero exit code 100, cmd: "chroot /targetfs /bin/bash -c apt-get update --yes"
...
06:46:36.497 - error: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: ERROR: The docker failed to properly install the components

Hi Thank you so much for the quick reply. I removed all docker packages from my system and confirmed with dpkg -l | grep -i docker unfortunately still have a problem
Here is the log file content regarding docker

5:34:03.928 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: INFO: Building docker image.
15:34:03.947 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: Sending build context to Docker daemon 54.13kB

15:34:03.975 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: Step 1/4 : FROM ubuntu:18.04
15:34:05.002 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: 18.04: Pulling from library/ubuntu
15:34:05.364 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: 284055322776: Pulling fs layer
15:34:06.561 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: 284055322776: Verifying Checksum
15:34:06.566 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: 284055322776: Download complete
15:34:07.024 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: 284055322776: Pull complete
15:34:07.035 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: Digest: sha256:0fedbd5bd9fb72089c7bbca476949e10593cebed9b1fb9edf5b79dbbacddd7d6
15:34:07.063 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: Status: Downloaded newer image for ubuntu:18.04
15:34:07.064 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: —> 5a214d77f5d7
15:34:07.064 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: Step 2/4 : ENV DEBIAN_FRONTEND=noninteractive
15:34:07.116 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: —> Running in 124b8a5fb341
15:34:07.182 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: Removing intermediate container 124b8a5fb341
15:34:07.201 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: —> 8c90fc9ff124



sdkm-2021-11-18-15-33-07.log (362.3 KB)

Here is what I see in the log file
error: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: Err:3 file:/DrivePlatform/archives ./ Packages
15:34:35.695 - info: Event: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX - error is: Err:3 file:/DrivePlatform/archives ./ Packages
15:34:35.695 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: File not found - /DrivePlatform/archives/./Packages (2: No such file or directory)
15:34:35.695 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: Reading package lists…
15:34:35.695 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: stderr:
15:34:35.696 - error: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: E: Failed to fetch file:/DrivePlatform/archives/./Packages File not found - /DrivePlatform/archives/./Packages (2: No such file or directory)
15:34:35.696 - info: Event: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX - error is: E: Failed to fetch file:/DrivePlatform/archives/./Packages File not found - /DrivePlatform/archives/./Packages (2: No such file or directory)
15:34:35.696 - error: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: E: Some index files failed to download. They have been ignored, or old ones used instead.
15:34:35.696 - info: Event: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX - error is: E: Some index files failed to download. They have been ignored, or old ones used instead.
15:34:35.696 - info: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX:
15:34:35.697 - error: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX: ERROR:linux.targetfstool_linux:Failure running command: apt-get update --yes
15:34:35.697 - info: Event: NV_DRIVE_PLATFORM_RFS_TARGET_COMP@DDPX - error is: ERROR:linux.targetfstool_linux:Failure running command: apt-get update --yes

Thanks for providing the latest logs. They look the issue is still the same.
We will check with the team and get back to you. Thanks.

Hi Thanks, I looked at this a bit more and I need to talk to our IT as well. This is “semi similar” issue (please see the link below) . In my case it is not the corporate network. I installed a ubuntu on a laptop and it all works. This laptop is a “corporate image” . I did not install it and I am on my personal network at home. But it still fails. I tried the docker DNS option mentioned in the thread but it is not working

I haven’t seen the issue before and am still waiting for our team’s analysis.

But Bugs/Errors When Trying to Flash Drive AGX Xavier Using SDK Manager on Host-PC - #17 by stin7931 is an issue at Step 3/4 of Building docker image (yours is Step 4/4) and the developers fixed it by switching to a WiFi network (see Bugs/Errors When Trying to Flash Drive AGX Xavier Using SDK Manager on Host-PC - #19 by stin7931).

If you have to install DRIVE Software 10, could you have a quick try on another host system? If DRIVE OS 5.2.6 is acceptable, you can try Install DRIVE Docker Containers from NVIDIA GPU Cloud (NGC).

@servanti was this problem solved? Sdkmanager fails installing Drive SW 10.0(rev.2) targetfstool error - #5 by servanti was selected as a solution by you?

No , trying one more time, my understanding is that 5.2.6 is cuda10 and no driveworks. We need DriveSW.

Okay. I deselected the solution icon for you.

Please check the below explanation from NVIDIA DRIVE SDK | NVIDIA Developer. If you just need DriveWorks, you can move to DRIVE OS 5.2.6 and DriveWorks 4.0.

I am confused, on SDKmanager I have 3 options 5.2.6 (no DW) , Drive SW 10 (this with DriveWorks) and 5.2.0 (no DW). I checked all the links above and I don’t see where can I download DW 4.0. Also wouldn’t that also have the same docker issue ? I have an nvidia developer account , do I need a different account?

OK sorry found where I can download DW 4.0, installing 5.2.6 , but I really need DW SW 10.0 since our cars are flashed with that and we are not ready to upgrade. I am assuming 5.26 & DW 4.0 are not compatible with DriveSW 10 (DW 2.2)?

There are DriveWorks 2.2 to 4.0 porting guide in our documentation.

Please also try on another host system.